Skip to main content
GET
/
sender
/
webhooks
/
{id}
Get a webhook delivery by ID
curl --request GET \
  --url https://api.paycrest.io/v2/sender/webhooks/{id} \
  --header 'API-Key: <api-key>'
{
  "status": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "eventId": "<string>",
    "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "httpStatusCode": 200,
    "attemptNumber": 1,
    "destinationUrl": "<string>",
    "signature": "<string>",
    "errorMessage": "<string>",
    "durationMs": 123,
    "nextRetryTime": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "requestPayload": {},
    "responseBody": "<string>"
  }
}

Authorizations

API-Key
string
header
required

Path Parameters

id
string<uuid>
required

Response

Webhook delivery

status
string
data
object

A single webhook delivery including the frozen request payload and captured response body.